Subject: Re: bonding and ifenslave version.

From: Nicolas de Pesloüan<[email-masked]>
Date: Thu, 04 Aug 2011 23:20:16 +0200

Le 04/08/2011 18:57, Stephen Hemminger a écrit :
> On Thu, 04 Aug 2011 07:31:38 +0200
> Nicolas de Pesloüan<[email-masked]>  wrote:
<snip>
>> Or do you mean, to replace ifenslave (.c) by a shell script that use netlink internally? Are all the
>> bonding options available through netlink? I remember many conversation about using netlink for
>> bonding setup, but don't remember seeing that in the actual code.
>
> The sysfs interface is the least desirable.
> The ifenslave script would just call 'ip link'

For as far as I know, ip link is able to enslave and to detach a slave, but not to change the active 
slave. So I think you cannot mimic the -c|--change-active option of ifenslave just using iproute. Do 
I miss something?

That being said, I'm not sure this particular option is the most used one, but...

	Nicolas.